main {
    display: grid;
    grid-template-rows: auto;
    gap: 1rem;
    padding: 1rem;
  }
  .main-class {
    margin: 0;
    padding: 0;
   
  }

  
  .top-view {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 1rem;
  }
  
  .main-rouwtaak-icon {
    width: 100%;
  }
  
  .top-icons {
    display: flex;
    justify-content: center;
    list-style: none;
    gap: 1rem;
  }
  
  .exercises-cont {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
   
  }


  @media (min-width: 48em) {
    .exercises-cont {
      grid-template-columns: repeat(2, 1fr);

    }
  }

  @media (min-width: 64em) {
    .exercises-cont {
      grid-template-columns: repeat(3, 1fr);

    }
  }

  
  .rouwtaak-card {
    display: grid;
    background-color: var(--background-color);
    border: solid var(--secondary-color);
    border-radius: 1rem;
    gap: 0.75rem;
    width: 100%;
    max-width: 100%;
    margin-bottom: 3em;
    border-radius: 1rem;
    img{
      border-radius: 1rem 1rem 0 0;
    }
  }
    .hover-effect{
      transition: transform 0.3s ease-in-out;
      &:hover {
      transform: scale(1.05); 
    }
  
    *{
      transition: none !important; 
    }
  }
    
  .rouwtaak-card ul{
    gap: 1em; 
    border: 2em;
    list-style: none;
    
  }


 

  .img-container {
    position: relative;
    display: inline-block;
  }
  
  .img-container img {
    display: block;
    width: 100%;
    height: auto;
  }
  .rouwtaak-img {
    width: 100%;
    height: 7em;
    object-fit: cover;
    border-radius: 0.75rem 0.75rem 0 0;
    
  }
  

  .inline {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    a, h1{
      text-decoration: none;
    }
  }
  .exercise-card{
    display: grid;
    border-radius: 1rem;
    gap: 1rem;
    width: 100%;
    margin-bottom: 3em;
    padding: 1rem;
    ul{
      gap: 1em; 
      border: 2em;
      list-style: none;
      
    } 
  }
  .center-button {
    display: block; 
    min-width: 20px;         
    margin: 0 auto;         
    text-align: center;       
  }

  .custom-progress {
    width: calc(100% - 1rem); 
    height: 5px;
    margin: 0; 
    border: none;
  }
  
  .custom-progress::-webkit-progress-bar {
    background-color: var(--background-color);
    border-radius: 10px;
  }
  
  .custom-progress::-webkit-progress-value {
    background-color: var(--color-white);
  }
  
  /*Fierfox*/
  .custom-progress::-moz-progress-bar {
    background-color: var(--background-color);
  }

  .cont-ball {
    display: flex;
    gap: 0.25rem;
  }
  
  .ball {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: inline-block;
  }
  .top-views{
    display: grid;
    justify-content: center; 
    align-items:center;
    text-align: center;
    background-image:
    radial-gradient(circle at -31em 50%, var(--main-color), transparent 40em),   
    radial-gradient(circle at calc(100% + 30em)  50%, var(--main-color), transparent 40em)

  }


  .photo-cont {
    margin: 0;
    padding: 0;
    width: 100%;
  }
  .view-image {
    width: 100%;
    max-height: 50vh;       
    object-fit: cover;       
  }

  .close-button {
    position: absolute;
    top: 1rem;
    left: 1rem;
    color: var(--background-color);
    z-index: 10;
    padding: 1em;
  }
  
  .task-img{
    min-height: 40vh;
    margin: auto;
  }
  .back-link {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    text-decoration: none;
  }

  textarea {
    width: 100%;
    height: 40vh;
    padding: 1em;
    border-radius: 2em;
    background-color: var(--secondary-color);
    border-color: var(--secondary-color);
    color:var(--color-white);
  }




  /*popup test*/
  .bottom-popup {
    position: fixed; 
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80vh;
    background-color: var(--background-color);
    color: var(--color-white);
    padding: 2em 1.5em;
    box-shadow: 0px 4px 200px rgba(0, 0, 0, 1);
    transform: translateY(80%);
    transition: transform 0.4s ease-in-out;
    z-index: 1000;
    overflow-y: auto;
  }
  
  .bottom-popup.show {
    transform: translateY(0);
  }
  
  .popup-header {
    position: relative;
    left: 80%; 
  }
  
  .btn-close-community {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0.5em;
    cursor: pointer;
  }


  footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 8%;
    background-color: var(--background-color);
    text-align: center;
    padding: 0.5em;
    z-index: 101;
  }
  
  footer ul {
    display: flex;
    place-items: center;
    justify-content: center; 
    gap: 4em; 
    border: 2em;
    list-style: none;
    align-items:center;
  } 
  @supports not (place-items: center) {
    nav {
        display: flex;
        justify-content: center;
        align-items: center;
    }
}
  /*@supports not (gap: .5rem) {
    .rouwtaak-card {
        margin-right: .5rem;
    }  
}*/
/*
@supports (display: grid) {
  input[type="checkbox"] {
    appearance: none;
    position: absolute;
  }
}
*/
  /*error page*/
  .error-page {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;     
    text-align: center;
    margin-top: 50px;
  }

  /*notficatie allert*/
  .notficatie {
    position: fixed;
    top: 20px;
    right: 20px; 
    display: flex;
    flex-direction: column;
    animation: slideInFade 2s ease forwards, slideOutFade 1s ease 20s forwards; 

    p { 
        padding: 10px 20px;
        border-radius: 30px;
        width: 250px;
    }
}


@keyframes slideInFade {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slideOutFade {
    from {
        opacity: 1;
        transform: translateY(0);
    }
    to {
        opacity: 0;
        transform: translateY(-50px);
    }
}
.success-message {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #d4edda;
    color: #155724;
    padding: 1rem 2rem;
    border: 1px solid #c3e6cb;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    z-index: 9999;
    opacity: 0;

  &.show {
      opacity: 1;
  }
  &.fade-out {
      display: none;
      opacity: 0;
  }
}



.like-button {
  font-size: 16px;
  padding: 8px 10px;
  width: 100px;
  border: none;
  border-radius: 30px;
  cursor: pointer;
  justify-content: right;
  text-align: left;
  transition: all 0.3s ease;

}

.like-button:hover {
  background-color: #64aac7;
}

.like-button.liked {
  background-color: #ff4081;
  color: white;
  animation: like-animation 0.5s ease-out;
}